Bug 1459210 - Atomic 7.3.6 Tracker errata
Atomic 7.3.6 Tracker errata
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: open-vm-tools-docker (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: davis phillips
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 10:31 EDT by davis phillips
Modified: 2017-06-23 10:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description davis phillips 2017-06-06 10:31:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 davis phillips 2017-06-06 10:31:55 EDT
Atomic 7.3.6 errata tracker
Comment 4 Alex Jia 2017-06-18 21:38:03 EDT
[root@dell-per630-02 ~]# docker load -i dd346235d6923903cf570c002d5e9a3b0f528683a1dcf531d3f07be882e83578.x86_64.tar.gz
open dd346235d6923903cf570c002d5e9a3b0f528683a1dcf531d3f07be882e83578.x86_64.tar.gz: no such file or directory
[root@dell-per630-02 ~]# docker load -i docker-image-sha256:dd346235d6923903cf570c002d5e9a3b0f528683a1dcf531d3f07be882e83578.x86_64.tar.gz
930fc554fb21: Loading layer [==================================================>] 202.5 MB/202.5 MB
ed8e4db64c50: Loading layer [==================================================>] 10.24 kB/10.24 kB
df9480f40abe: Loading layer [==================================================>] 112.4 MB/112.4 MB

[root@dell-per630-02 ~]# atomic version dphillip/open-vm-tools-docker:extras-rhel-7.3-docker-candidate-51954-20170607220045
IMAGE NAME                                                                                   VERSION   IMAGE ID  
dphillip/open-vm-tools-docker:extras-rhel-7.3-docker-candidate-51954-20170607220045          1.0-13    38486a07f54b

[root@dell-per630-02 ~]# atomic --debug run dphillip/open-vm-tools-docker:extras-rhel-7.3-docker-candidate-51954-20170607220045
docker run --privileged -v /proc/:/hostproc/ -v /sys/fs/cgroup:/sys/fs/cgroup -v /var/log:/var/log -v /run/systemd:/run/systemd -v /sysroot:/sysroot -v=/var/lib/sss/pipes/:/var/lib/sss/pipes/:rw -v /etc/passwd:/etc/passwd -v /etc/shadow:/etc/shadow -v /tmp:/tmp:rw -v /etc/sysconfig:/etc/sysconfig:rw -v /etc/resolv.conf:/etc/resolv.conf:rw -v /etc/nsswitch.conf:/etc/nsswitch.conf:rw -v /etc/hosts:/etc/hosts:rw -v /etc/hostname:/etc/hostname:rw -v /etc/localtime:/etc/localtime:rw -v /etc/adjtime:/etc/adjtime --env container=docker --net=host --pid=host dphillip/open-vm-tools-docker:extras-rhel-7.3-docker-candidate-51954-20170607220045

This container uses privileged security switches:

INFO: --net=host 
      Processes in this container can listen to ports (and possibly rawip traffic) on the host's network.

INFO: --pid=host 
      Processes in this container can see and interact with all processes on the host and disables SELinux within the container.

INFO: --privileged 
      This container runs without separation and should be considered the same as root on your system.

For more information on these switches and their security implications, consult the manpage for 'docker run'.

[root@dell-per630-02 ~]# runc list
ID                                                                 PID         STATUS      BUNDLE                                                                                       CREATED
14a82386ed35572a4176bafd68406a2679e1e106ab7ede7feca0ccac3faa4369   88721       running     /run/docker/libcontainerd/14a82386ed35572a4176bafd68406a2679e1e106ab7ede7feca0ccac3faa4369   2017-05-26T16:06:20.87874457Z

 
[root@dell-per630-02 ~]# runc state 14a82386ed35572a4176bafd68406a2679e1e106ab7ede7feca0ccac3faa4369
{
  "ociVersion": "1.0.0-rc2-dev",
  "id": "14a82386ed35572a4176bafd68406a2679e1e106ab7ede7feca0ccac3faa4369",
  "pid": 88721,
  "status": "running",
  "bundle": "/run/docker/libcontainerd/14a82386ed35572a4176bafd68406a2679e1e106ab7ede7feca0ccac3faa4369",
  "rootfs": "/var/lib/docker/btrfs/subvolumes/9c64ca32be1403c1bcefd1cdf108fa2554bc41f746530fa3351e8fc88a5d98a5",
  "created": "2017-05-26T16:06:20.87874457Z"

[root@dell-per630-02 ~]# runc kill 14a82386ed35572a4176bafd68406a2679e1e106ab7ede7feca0ccac3faa4369

[root@dell-per630-02 ~]# runc list
ID          PID         STATUS      BUNDLE      CREATED

Note You need to log in before you can comment on or make changes to this bug.